com.brightcove.player.mediacontroller

## Class DefaultPreviewLoader.Builder

- java.lang.Object
- - com.brightcove.player.mediacontroller.DefaultPreviewLoader.Builder

- Enclosing class:
    DefaultPreviewLoader

      public static final class DefaultPreviewLoader.Builder
      extends java.lang.Object

  The `DefaultPreviewLoader` Builder.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder(android.content.Context context)` Instantiate `DefaultPreviewLoader.Builder`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DefaultPreviewLoader` | `build()` Builds the `DefaultPreviewLoader` instance
    `DefaultPreviewLoader.Builder` | `setNumberOfImagesToPrefetch(int numberOfImagesToPrefetch)` Sets the max number of images that will be prefetch as soon as the `ThumbnailDocument` is set through `PreviewLoader.setThumbnailDocument(ThumbnailDocument)`.
    `DefaultPreviewLoader.Builder` | `setPicasso(com.squareup.picasso.Picasso picasso)` Sets a customized `Picasso` instance to request and load the images.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder(android.content.Context context)

      Instantiate `DefaultPreviewLoader.Builder`
      Parameters:
        `context` - the Android context

  - ### Method Detail

    - #### setPicasso

          public DefaultPreviewLoader.Builder setPicasso(com.squareup.picasso.Picasso picasso)

      Sets a customized `Picasso` instance to request and load the images.
      Parameters:
        `picasso` - the picasso instance
      Returns:
        this Builder

    - #### setNumberOfImagesToPrefetch

          public DefaultPreviewLoader.Builder setNumberOfImagesToPrefetch(int numberOfImagesToPrefetch)

      Sets the max number of images that will be prefetch as soon as the `ThumbnailDocument` is set through `PreviewLoader.setThumbnailDocument(ThumbnailDocument)`.
      Parameters:
        `numberOfImagesToPrefetch` - the number of images to prefetch
      Returns:
        this Builder

    - #### build

          public DefaultPreviewLoader build()

      Builds the `DefaultPreviewLoader` instance
      Returns:
        the `DefaultPreviewLoader` instance